/*
    Copyright (c) 2009 by Joseph Devietti (devietti@cs.washington.edu).

    This file is part of my DMP ASPLOS 2009 Presentation (DAP).

    DAP is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DAP is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DAP.  If not, see <http://www.gnu.org/licenses/>.
*/ 

﻿package  {
	
	import com.boostworthy.geom.Path;
	import com.dncompute.graphics.ArrowStyle;
	import com.dncompute.graphics.LineArrow;
	import flash.display.*;
	import flash.events.*;
	import flash.text.TextField;
	import flash.ui.*;
	import com.boostworthy.animation.management.*;
	import com.boostworthy.animation.easing.*;
	import com.boostworthy.animation.sequence.*;
	import com.boostworthy.animation.sequence.tweens.*;
	import com.boostworthy.animation.rendering.*;
	import com.boostworthy.core.Global;
	
	import flash.system.Security;
	
	import flash.external.ExternalInterface;
	
	/**
	 * DESCRIPTION
	 * @author Joe Devietti
	 */
	public class Sample extends Sprite {

	private const g_timeline:Timeline = new Timeline( RenderMethod.ENTER_FRAME );
		
	public function Sample() {
		if (stage) init();
		else addEventListener(Event.ADDED_TO_STAGE, init);
	}
	
	private function init(e:Event = null):void {
		removeEventListener(Event.ADDED_TO_STAGE, init);
		// entry point
		
		//SceneManager.setup( g_timeline, stage );
		
		var t:TextField = new TextField();
		t.text = Security.sandboxType;
		addChild( t );
		
		//this.graphics.lineStyle();
		//this.graphics.beginFill( 0x0, 1.0 );
		//this.graphics.drawRect( 0, 0, 10, 10 );
		//this.graphics.endFill();
		
		//SceneManager.noMoreScenes();
	}
	
	} // end class
	
} // end package