/*
    Copyright (c) 2009 by Joseph Devietti (devietti@cs.washington.edu).

    This file is part of my DMP ASPLOS 2009 Presentation (DAP).

    DAP is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DAP is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DAP.  If not, see <http://www.gnu.org/licenses/>.
*/ 

﻿package  {
	import flash.text.TextField;
	
	/**
	 * Special TextField that be default isn't selectable, to prevent weird 
	 * selection cursors showing up when these are used.
	 * @author Joe Devietti
	 */
	public class UnselectableTextField extends TextField {
		
		public function UnselectableTextField() {
			super();
			this.selectable = false;
			this.mouseEnabled = false;
		}
		
	}
	
}